html {
    scroll-behavior: smooth;
}
body {
    margin: 0;
    font-family: 'Rokkitt', serif;
    font-size: 1.2em;
    line-height: 1.5;
    background-image: linear-gradient(to bottom, rgb(0, 0, 0), rgb(5, 19, 1));    
    color: rgb(255, 166, 65);
}
h1, h2, h3 {
    font-weight: 700;
    color: rgb(255, 166, 65);
} 
header {
    padding: 0;
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
}
header h1 {
    font-weight: 800;
    text-transform: uppercase;
    text-align: center;
    text-shadow: 0 -2px 8px rgb(255, 254, 250);
    color: rgb(255, 166, 65);
    margin: 0;
    position: absolute;
    top: 3rem;
    left: 3rem;
}
a {
    color: rgb(255, 166, 65);
}
a:visited {
    columns: rgb(221, 45, 1);
}
a:hover, a:active {
    columns: #000;
    text-decoration: none;
}
.base-bg {
    background-color: rgb(210, 134, 134);
    background-image: linear-gradient(to bottom, rgb(7, 42, 1), rgb(1, 72, 12));    
    color: rgb(247, 217, 205);
    padding: 1em;
}


.col-2, .col-3 {
    display: grid;
    grid-template-columns: 1fr;
}


/****** standard IMG *********/

img {
     max-width: 100%;
     height: auto;
}
figure {
    margin:0;
}

footer {
    color: rgb(255, 166, 65);
    padding: 1em;
}
footer ul{
    list-style: none;
}
a, footer a {
    color: rgb(255, 166, 65);
}
footer a {
    line-height: 1.5;
}
footer a:visited {
    color: rgb(255, 166, 65);
}
footer a:active, .footer a:hover {
    text-decoration: none;
}
blockquote {
    background-color: rgba(241, 145, 145, 0.5);
    padding:1em;
}
.copy {
    text-align: center;
}
/* ******** 48em ********* */
@media screen and (min-width:48rem) {
    .col-2 {
        grid-template-columns: 1fr 1fr;
        gap: 2em;
    }
    .col-3 {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 1rem;
        row-gap: 1rem;
    }
    header h1 {
        font-size: 4em;
    }
}
@media screen and (min-width:60em) {
    .col-3 {
        gap: 2rem;
        row-gap: 2rem;
    }
    .col-21 {
        grid-template-columns: 2fr 1fr;
        gap:2em
    }

}
@media screen and (min-width:80rem) {
    body {
        font-size: 1.4rem;
    }
    .container {
        max-width: 80rem;
        margin: 0 auto;
    }
    header h1 {
        font-size: 6em;
    }
}
@media screen and (min-width:100rem) {
    .container {
        max-width: 90em;
    }
}
/* Rétt hlutfall youtube > iframe  (.gluggi) 

   óskuð breidd deilt í upphaflega breidd = n% 

   til að finna rétta hæð : n%  * upphafleg hæð 
*/

/* 20em = 320px*/
.gluggi {
    width:100%;
    height:10.5rem; /*168px;*/ 
    margin: auto;
  }

@media screen and (min-width: 25rem) {
    .gluggi {
      height:13rem; /*207px;*/ 
    }
 }

@media screen and (min-width: 30rem) {
    .gluggi { 
     height:15.75rem; /*252px;*/ 
   }
 }

@media screen and (min-width: 37.5rem) {
    .gluggi {
      height:19.7rem; /*315px;*/
    }
 }

 @media screen and (min-width:48rem){
  .gluggi {
    height:24.6rem; /*414px;*/ 
  }
}
@media screen and (min-width:60rem){
  .gluggi {
    height:33rem; /*534px;*/ 
  }
}
@media screen and (min-width: 80rem) {
    .gluggi {  
      height:44em; /*~702px;*/ 
    }
  } 


/* google kort */

@media screen and (min-width: 20rem) {
    .kort {
     width:100%;    
     height:15.75rem; /*252px;*/ 
   }
 }

@media screen and (min-width: 37.5rem) {
    .kort {
      height:19.7rem; /*315px; */
    }
 }

 @media screen and (min-width:48rem){
  .kort {
    height:28.2rem; /*451,2px;*/ 
  }
}